%define upstream_name    Algorithm-Combinatorics
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Efficient generation of combinatorial sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Algorithm::Combinatorics is an efficient generator of combinatorial
sequences. Algorithms are selected from the literature (work in progress,
see /REFERENCES). Iterators do not use recursion, nor stacks,
and are written in C.

Tuples are generated in lexicographic order, except in 'subsets()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Mon Jun 06 2022 umeabot <umeabot> 0.270.0-25.mga9
+ Revision: 1861528
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.270.0-24.mga9
+ Revision: 1795462
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.270.0-23.mga9
+ Revision: 1726384
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.270.0-22.mga8
+ Revision: 1594240
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.270.0-21.mga8
+ Revision: 1529024
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.270.0-20.mga8
+ Revision: 1432991
- rebuild with perl-5.30

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-19.mga7
+ Revision: 1290277
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.270.0-18.mga7
+ Revision: 1250084
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.270.0-17.mga7
+ Revision: 1162770
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.270.0-16.mga7
+ Revision: 1148636
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.270.0-15.mga7
+ Revision: 1126536
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-14.mga6
+ Revision: 1022244
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.270.0-13.mga6
+ Revision: 956668
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.270.0-12.mga6
+ Revision: 846044
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.270.0-11.mga6
+ Revision: 844729
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 0.270.0-10.mga6
+ Revision: 841935
- Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 0.270.0-9.mga5
+ Revision: 789128
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.270.0-8.mga5
+ Revision: 744371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.270.0-7.mga5
+ Revision: 683440
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.270.0-6.mga5
+ Revision: 630786
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.270.0-5.mga4
+ Revision: 524691
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.270.0-4.mga4
+ Revision: 431363
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.270.0-3.mga3
+ Revision: 362847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.270.0-2.mga3
+ Revision: 250258
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 0.270.0-1.mga2
+ Revision: 211615
- update to 0.27

* Sun Nov 06 2011 kharec <kharec> 0.260.0-1.mga2
+ Revision: 164209
- imported package perl-Algorithm-Combinatorics


* Sun Nov 06 2011 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
